package com.cheng.blzb.ui.fragment.mine.coupon.list

import androidx.collection.ArrayMap
import com.example.base.viewmodel.ListViewModel
import com.cheng.blzb.net.ApiFactory
import com.cheng.blzb.net.model.toListResult

class CouponListViewModel : ListViewModel<com.cheng.blzb.bean.CouponEntity>() {

    override suspend fun requestApi(params: ArrayMap<String, String>): Result<List<com.cheng.blzb.bean.CouponEntity>> {
        return ApiFactory.apiService.couponList(params).toListResult()
    }
}